# Interface methods for submodule: BinaryContourImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy, ScanlineFilterCommonProxy as _ScanlineFilterCommonProxy


# Interface methods for class: BinaryContourImageFilter
class BinaryContourImageFilterProxy(_InPlaceImageFilterProxy, _ScanlineFilterCommonProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetFullyConnected(self, _arg: bool) -> None:
		""""""
		...

	def GetFullyConnected(self) -> bool:
		""""""
		...

	def FullyConnectedOn(self) -> None:
		""""""
		...

	def FullyConnectedOff(self) -> None:
		""""""
		...

	@overload
	def SetBackgroundValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> float:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> int:
		""""""
		...

	@overload
	def SetForegroundValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetForegroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetForegroundValue(self) -> float:
		""""""
		...

	@overload
	def GetForegroundValue(self) -> int:
		""""""
		...

